// theme.ts
import { extendTheme, ThemeConfig } from '@chakra-ui/react';

const config: ThemeConfig = {
  initialColorMode: 'dark',
  useSystemColorMode: false,
};

const theme = extendTheme({
  config,
  styles: {
    global: (props: any) => ({
      body: {
        bg: props.colorMode === 'dark' ? '#1A1A1A' : '#FFFFFF',
        color: props.colorMode === 'dark' ? '#E0E0E0' : '#1A1A1A',
      },
    }),
  },
});

export default theme;
